Debian etch Vmware Mui install

Discussion in 'Installation/Configuration' started by lwh.dk, Apr 29, 2008.

  1. lwh.dk

    lwh.dk New Member

    Hi All..

    Having at stupid issue.
    I'm running vmware-server 1.0.5 on at debian etch workstation.
    The vmware-server 1.0.5 is running perfect, but I'm not able to install the vmware-mui :-(

    when I run perl vmware-install.perl I accepts the eula and gets the following message .....
    And the vmware server and it's guest systems is running!
    I'm able to connect to the server using vmware-server-console...
    Have any one seen this issue before, and what todo for fix'ing it ??
     
  2. falko

    falko Super Moderator ISPConfig Developer

    What's the output of
    Code:
    uname -a
    ?
     
  3. lwh.dk

    lwh.dk New Member

    Uname -a

    hi Falco

    Hop that you have a idea what's wrong ;-)

    Code:
    hostname:~# uname -a
    Linux hostname 2.6.18-6-686 #1 SMP Sun Feb 10 22:11:31 UTC 2008 i686 GNU/Linux
    
    Fyi I hostname is NOT the real servername...
     
  4. falko

    falko Super Moderator ISPConfig Developer

    Looks ok.
    Have you tried to install it as root?
     
  5. lwh.dk

    lwh.dk New Member

    root

    Yes, I ran the installation as root, just one boot after I Installed the latest version of vmware-server 1.0.5 or something with the root user...
    Strange ????
    I properly have to read the vmware-installer.pl code :eek: and look into how the MUI installation verify that the vmware-server is installed and running on the computer....
    But the easy way was asking around first, before reverse engineering the vmware install perl script...
     
  6. falko

    falko Super Moderator ISPConfig Developer

    And if I understood you right, VMware server is installed on the same system?
     
  7. lwh.dk

    lwh.dk New Member

    yep

    Yep. Vmware Server and is running on the workstation !
    That's the funny bit,why cant the MUI installer not find the server instance :confused:
     
  8. lwh.dk

    lwh.dk New Member

    Issue Solved :)

    I searched the vmware-install.pl for
    Code:
    VMware Server must be installed
    
    and ended up a line index "1793,14" and comment out that function.
    Code:
      # Make sure VMware Server is installed
     # if ($vmware_version ne "vserver") {
     #   uninstall_file($gInstallerMainDB);
     #   error('VMware Server must be installed on this machine for the ' .
     #    vmware_product_name() . ' to work'
     #   . "\n\n");
    #  }
    
    This solved my issue and I have the MUI installed now and up and running.. :D
     

Share This Page